> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all transactions



## OpenAPI

````yaml https://givebutter.com/docs/api.json get /v1/transactions
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/transactions:
    get:
      tags:
        - Transactions
      summary: List all transactions
      operationId: transactions.index
      parameters:
        - name: transactedAfter
          in: query
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: transactedBefore
          in: query
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: createdAfter
          in: query
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: createdBefore
          in: query
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: updatedAfter
          in: query
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: updatedBefore
          in: query
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: checkDepositedAfter
          in: query
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: checkDepositedBefore
          in: query
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: contacts
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: method
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: scope
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - all
              - benefiting
              - chapters
        - name: sortBy
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - amount
              - transacted_at
              - created_at
              - contact_name
        - name: sortByDesc
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - amount
              - transacted_at
              - created_at
              - contact_name
      responses:
        '200':
          description: Paginated set of `TransactionResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/TransactionResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                      unfiltered_total:
                        type: integer
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                      - unfiltered_total
                required:
                  - data
                  - links
                  - meta
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    TransactionResource:
      anyOf:
        - type: object
          properties:
            id:
              type: string
            plan_id:
              type: string
            pledge_id:
              type: string
            amount:
              type: number
            fee:
              type: number
            fee_covered:
              type: number
            donated:
              type: number
            payout:
              type: number
            captured:
              type: string
            captured_at:
              type: string
            timezone:
              type: string
            refunded:
              type: string
            refunded_at:
              type: string
            line_items:
              type: array
              items:
                $ref: '#/components/schemas/TransactionLineItemResource'
            fair_market_value_amount:
              type:
                - string
                - 'null'
            tax_deductible_amount:
              type:
                - string
                - 'null'
            is_recurring:
              type: string
          required:
            - id
            - plan_id
            - pledge_id
            - amount
            - fee
            - fee_covered
            - donated
            - payout
            - captured
            - captured_at
            - timezone
            - refunded
            - refunded_at
            - line_items
            - fair_market_value_amount
            - tax_deductible_amount
            - is_recurring
        - type: object
          properties:
            id:
              type: string
            number:
              type: string
            campaign_id:
              type: string
            campaign_code:
              type: string
            campaign_title:
              type: string
            plan_id:
              type: string
            pledge_id:
              type: string
            team_id:
              type: string
            team_name:
              type: string
            member_id:
              type: string
            member_name:
              type: string
            fund_id:
              type: string
            fund_code:
              type: string
            contact_id:
              type: string
            first_name:
              type: string
            last_name:
              type: string
            company_name:
              type: string
            company:
              type: string
            email:
              type: string
            phone:
              type: string
            address:
              type: string
            status:
              type: string
            payment_method:
              type: string
            method:
              type: string
            is_offline:
              type: string
            check_number:
              anyOf:
                - type: string
                - type: object
            check_deposited_at:
              anyOf:
                - type: string
                - type: object
            internal_note:
              type: string
            amount:
              type: number
            fee:
              type: number
            fee_covered:
              type: number
            donated:
              type: number
            payout:
              type: number
            currency:
              type: string
            transacted_at:
              type: string
            created_at:
              type: string
            updated_at:
              type: string
            timezone:
              type: string
            giving_space:
              anyOf:
                - $ref: '#/components/schemas/GivingSpaceResource'
                - type: 'null'
            dedication:
              anyOf:
                - $ref: '#/components/schemas/DedicationResource'
                - type: 'null'
            transactions:
              type: array
              prefixItems:
                - $ref: '#/components/schemas/TransactionResource'
              minItems: 1
              maxItems: 1
              additionalItems: false
            custom_fields:
              type: array
              items:
                $ref: '#/components/schemas/CustomFieldResponseResource'
            utm_parameters:
              type: string
            external_id:
              anyOf:
                - $ref: '#/components/schemas/ExternalIdResource'
                - type: 'null'
            communication_opt_in:
              type: string
            session_id:
              type: string
            attribution_data:
              type: string
            fair_market_value_amount:
              type:
                - string
                - 'null'
            tax_deductible_amount:
              type:
                - string
                - 'null'
            is_recurring:
              type: string
            payout_id:
              anyOf:
                - type: string
                - type: object
          required:
            - id
            - number
            - campaign_id
            - campaign_code
            - campaign_title
            - plan_id
            - pledge_id
            - team_id
            - team_name
            - member_id
            - member_name
            - fund_id
            - fund_code
            - contact_id
            - first_name
            - last_name
            - company_name
            - company
            - email
            - phone
            - address
            - status
            - payment_method
            - method
            - is_offline
            - check_number
            - check_deposited_at
            - internal_note
            - amount
            - fee
            - fee_covered
            - donated
            - payout
            - currency
            - transacted_at
            - created_at
            - updated_at
            - timezone
            - giving_space
            - dedication
            - transactions
            - custom_fields
            - utm_parameters
            - external_id
            - communication_opt_in
            - session_id
            - attribution_data
            - fair_market_value_amount
            - tax_deductible_amount
            - is_recurring
            - payout_id
      title: TransactionResource
    TransactionLineItemResource:
      type: object
      properties:
        type:
          type: string
        subtype:
          type: string
        description:
          type: string
        quantity:
          type: integer
        price:
          type: number
        discount:
          type: number
        total:
          type: number
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - type
        - subtype
        - description
        - quantity
        - price
        - discount
        - total
        - created_at
        - updated_at
      title: TransactionLineItemResource
    GivingSpaceResource:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        amount:
          type: number
        message:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - amount
        - message
        - created_at
        - updated_at
      title: GivingSpaceResource
    DedicationResource:
      type: object
      properties:
        type:
          type: string
        name:
          type: string
        recipient:
          type: object
          properties:
            name:
              type:
                - string
                - 'null'
            email:
              type:
                - string
                - 'null'
          required:
            - name
            - email
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - type
        - name
        - recipient
        - created_at
        - updated_at
      title: DedicationResource
    CustomFieldResponseResource:
      type: object
      properties:
        id:
          type: integer
        field_id:
          type: integer
        title:
          type: string
        description:
          type:
            - string
            - 'null'
        type:
          type: string
        value:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - field_id
        - title
        - description
        - type
        - value
        - created_at
        - updated_at
      title: CustomFieldResponseResource
    ExternalIdResource:
      type: object
      properties:
        id:
          type: integer
        label:
          type: string
        external_id:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - label
        - external_id
        - created_at
        - updated_at
      title: ExternalIdResource
  responses:
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer

````